2017 © Pedro Peláez
 

library socialite

Laravel wrapper around OAuth 1 & OAuth 2 libraries.

image

laravel/socialite

Laravel wrapper around OAuth 1 & OAuth 2 libraries.

  • Monday, June 18, 2018
  • by taylorotwell
  • Repository
  • 195 Watchers
  • 3294 Stars
  • 4,299,553 Installations
  • PHP
  • 278 Dependents
  • 3 Suggesters
  • 640 Forks
  • 0 Open issues
  • 41 Versions
  • 11 % Grown

The README.md

, (*1)

Build Status Total Downloads Latest Stable Version License , (*2)

Introduction

Laravel Socialite provides an expressive, fluent interface to OAuth authentication with Facebook, Twitter, Google, LinkedIn, GitHub, GitLab and Bitbucket. It handles almost all of the boilerplate social authentication code you are dreading writing., (*3)

We are not accepting new adapters., (*4)

Adapters for other platforms are listed at the community driven Socialite Providers website., (*5)

Official Documentation

Documentation for Socialite can be found on the Laravel website., (*6)

Contributing

Thank you for considering contributing to Socialite! The contribution guide can be found in the Laravel documentation., (*7)

Code of Conduct

In order to ensure that the Laravel community is welcoming to all, please review and abide by the Code of Conduct., (*8)

Security Vulnerabilities

Please review our security policy on how to report security vulnerabilities., (*9)

License

Laravel Socialite is open-sourced software licensed under the MIT license., (*10)

The Versions

18/06 2018

3.0.x-dev

3.0.9999999.9999999-dev https://laravel.com

Laravel wrapper around OAuth 1 & OAuth 2 libraries.

  Sources   Download

MIT

The Requires

 

The Development Requires

laravel oauth

01/06 2018

v3.0.12

3.0.12.0

Laravel wrapper around OAuth 1 & OAuth 2 libraries.

  Sources   Download

MIT

The Requires

 

The Development Requires

laravel oauth

12/05 2018

v3.0.11

3.0.11.0

Laravel wrapper around OAuth 1 & OAuth 2 libraries.

  Sources   Download

MIT

The Requires

 

The Development Requires

laravel oauth

04/05 2018

2.0.x-dev

2.0.9999999.9999999-dev

Laravel wrapper around OAuth 1 & OAuth 2 libraries.

  Sources   Download

MIT

The Requires

 

The Development Requires

laravel oauth

12/12 2017

dev-master

9999999-dev

Laravel wrapper around OAuth 1 & OAuth 2 libraries.

  Sources   Download

MIT

The Requires

 

The Development Requires

laravel oauth

05/12 2017

v3.0.10

3.0.10.0

Laravel wrapper around OAuth 1 & OAuth 2 libraries.

  Sources   Download

MIT

The Requires

 

The Development Requires

laravel oauth

06/11 2017

v3.0.9

3.0.9.0

Laravel wrapper around OAuth 1 & OAuth 2 libraries.

  Sources   Download

MIT

The Requires

 

The Development Requires

laravel oauth

23/08 2017

v3.0.8

3.0.8.0

Laravel wrapper around OAuth 1 & OAuth 2 libraries.

  Sources   Download

MIT

The Requires

 

The Development Requires

laravel oauth

22/07 2017

v3.0.7

3.0.7.0

Laravel wrapper around OAuth 1 & OAuth 2 libraries.

  Sources   Download

MIT

The Requires

 

The Development Requires

laravel oauth

05/05 2017

v3.0.6

3.0.6.0

Laravel wrapper around OAuth 1 & OAuth 2 libraries.

  Sources   Download

MIT

The Requires

 

The Development Requires

laravel oauth

20/04 2017

v3.0.5

3.0.5.0

Laravel wrapper around OAuth 1 & OAuth 2 libraries.

  Sources   Download

MIT

The Requires

 

The Development Requires

laravel oauth

27/03 2017

v2.0.21

2.0.21.0

Laravel wrapper around OAuth 1 & OAuth 2 libraries.

  Sources   Download

MIT

The Requires

 

The Development Requires

laravel oauth

27/03 2017

v3.0.4

3.0.4.0

Laravel wrapper around OAuth 1 & OAuth 2 libraries.

  Sources   Download

MIT

The Requires

 

The Development Requires

laravel oauth

01/02 2017

v3.0.3

3.0.3.0

Laravel wrapper around OAuth 1 & OAuth 2 libraries.

  Sources   Download

MIT

The Requires

 

The Development Requires

laravel oauth

25/01 2017

v3.0.2

3.0.2.0

Laravel wrapper around OAuth 1 & OAuth 2 libraries.

  Sources   Download

MIT

The Requires

 

The Development Requires

laravel oauth

16/01 2017

v3.0.0

3.0.0.0

Laravel wrapper around OAuth 1 & OAuth 2 libraries.

  Sources   Download

MIT

The Requires

 

The Development Requires

laravel oauth

01/11 2016

v2.0.20

2.0.20.0

Laravel wrapper around OAuth 1 & OAuth 2 libraries.

  Sources   Download

MIT

The Requires

 

The Development Requires

laravel oauth

24/10 2016

v2.0.19

2.0.19.0

Laravel wrapper around OAuth 1 & OAuth 2 libraries.

  Sources   Download

MIT

The Requires

 

The Development Requires

laravel oauth

22/06 2016

v2.0.18

2.0.18.0

Laravel wrapper around OAuth 1 & OAuth 2 libraries.

  Sources   Download

MIT

The Requires

 

The Development Requires

laravel oauth

27/05 2016

v2.0.17

2.0.17.0

Laravel wrapper around OAuth 1 & OAuth 2 libraries.

  Sources   Download

MIT

The Requires

 

The Development Requires

laravel oauth

25/05 2016

v2.0.16

2.0.16.0

Laravel wrapper around OAuth 1 & OAuth 2 libraries.

  Sources   Download

MIT

The Requires

 

The Development Requires

laravel oauth

21/03 2016

v2.0.15

2.0.15.0

Laravel wrapper around OAuth 1 & OAuth 2 libraries.

  Sources   Download

MIT

The Requires

 

The Development Requires

laravel oauth

16/10 2015

v2.0.14

2.0.14.0

Laravel wrapper around OAuth 1 & OAuth 2 libraries.

  Sources   Download

MIT

The Requires

 

The Development Requires

laravel oauth

24/09 2015

v2.0.13

2.0.13.0

Laravel wrapper around OAuth 1 & OAuth 2 libraries.

  Sources   Download

MIT

The Requires

 

The Development Requires

laravel oauth

30/08 2015

v2.0.12

2.0.12.0

Laravel wrapper around OAuth 1 & OAuth 2 libraries.

  Sources   Download

MIT

The Requires

 

The Development Requires

laravel oauth

14/08 2015

v2.0.11

2.0.11.0

Laravel wrapper around OAuth 1 & OAuth 2 libraries.

  Sources   Download

MIT

The Requires

 

The Development Requires

laravel oauth

03/08 2015

v2.0.10

2.0.10.0

Laravel wrapper around OAuth 1 & OAuth 2 libraries.

  Sources   Download

MIT

The Requires

 

The Development Requires

laravel oauth

23/07 2015

v2.0.9

2.0.9.0

Laravel wrapper around OAuth 1 & OAuth 2 libraries.

  Sources   Download

MIT

The Requires

 

The Development Requires

laravel oauth

10/07 2015

v2.0.8

2.0.8.0

Laravel wrapper around OAuth 1 & OAuth 2 libraries.

  Sources   Download

MIT

The Requires

 

The Development Requires

laravel oauth

30/06 2015

v2.0.7

2.0.7.0

Laravel wrapper around OAuth 1 & OAuth 2 libraries.

  Sources   Download

MIT

The Requires

 

The Development Requires

laravel oauth

18/06 2015

v2.0.6

2.0.6.0

Laravel wrapper around OAuth 1 & OAuth 2 libraries.

  Sources   Download

MIT

The Requires

 

The Development Requires

laravel oauth

03/06 2015

v2.0.5

2.0.5.0

Laravel wrapper around OAuth 1 & OAuth 2 libraries.

  Sources   Download

MIT

The Requires

 

The Development Requires

laravel oauth

13/03 2015

v2.0.4

2.0.4.0

Laravel wrapper around OAuth 1 & OAuth 2 libraries.

  Sources   Download

MIT

The Requires

 

The Development Requires

laravel oauth

24/02 2015

v2.0.3

2.0.3.0

Laravel wrapper around OAuth 1 & OAuth 2 libraries.

  Sources   Download

MIT

The Requires

 

The Development Requires

laravel oauth

20/02 2015

v2.0.2

2.0.2.0

Laravel wrapper around OAuth 1 & OAuth 2 libraries.

  Sources   Download

MIT

The Requires

 

The Development Requires

laravel oauth

14/02 2015

v2.0.1

2.0.1.0

Laravel wrapper around OAuth 1 & OAuth 2 libraries.

  Sources   Download

MIT

The Requires

 

The Development Requires

laravel oauth

23/01 2015

v2.0.0

2.0.0.0

Laravel wrapper around OAuth 1 & OAuth 2 libraries.

  Sources   Download

MIT

The Requires

 

The Development Requires

laravel oauth

29/08 2014

v1.0.3

1.0.3.0

Laravel wrapper around OAuth 1 & OAuth 2 libraries.

  Sources   Download

MIT

The Requires

 

The Development Requires

laravel oauth

28/08 2014

v1.0.2

1.0.2.0

Laravel wrapper around OAuth 1 & OAuth 2 libraries.

  Sources   Download

MIT

The Requires

 

The Development Requires

laravel oauth

28/08 2014

v1.0.1

1.0.1.0

Laravel wrapper around OAuth 1 & OAuth 2 libraries.

  Sources   Download

MIT

The Requires

 

The Development Requires

laravel oauth

24/08 2014

v1.0.0

1.0.0.0

Laravel wrapper around OAuth 1 & OAuth 2 libraries.

  Sources   Download

MIT

The Requires

 

The Development Requires

laravel oauth